# \_itemGet

Get Stock Item data

### Parameters

#### id

Integer. ID of the stock item to get

### Example

```
FM_api('Stock_itemGet',
	[
		'id'=>'5'
	]
);
								
```

### Result

#### On Success

Returns row from stock table

Example:

```
{"id":"5","name":"Item5", "average_cost":"10","cdate":"2015-10-21 16:13:21","owner_id":"0","in_stock":"13","categories":"Logistical","last_edited":"2018-02-28 14:56:43","code":"002","is_archived":"0","amt_trigger":"4|user@test.com","description":"-","supplier_id":"0","price":"20.0000","notes":"notes here","nominal_code":"2000"}
```

#### On Failure

If stock id not provided:

```
	{"error":"no stock id provided"}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/stock/_itemget.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
